﻿$packageName = 'vcredist2008'
$installerType = 'exe'
$url = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)\files\vcredist_x86.exe"
$checksum = '470640aa4bb7db8e69196b5edb0010933569e98d'
$checksumType = 'sha1'
$url64 = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)\files\vcredist_x64.exe"
$checksum64 = 'a7c83077b8a28d409e36316d2d7321fa0ccdb7e8'
$checksumType64 = 'sha1'
$silentArgs = '/Q'
$validExitCodes = @(0,3010)  # http://msdn.microsoft.com/en-us/library/aa368542(VS.85).aspx
 
Install-ChocolateyPackage -PackageName "$packageName" `
                          -FileType "$installerType" `
                          -Url "$url" `
                          -Url64bit "$url64" `
                          -SilentArgs "$silentArgs" `
                          -ValidExitCodes $validExitCodes `
                          -Checksum "$checksum" `
                          -ChecksumType "$checksumType" `
                          -Checksum64 "$checksum64" `
                          -ChecksumType64 "$checksumType64"
 
if (Get-ProcessorBits 64) {
  Install-ChocolateyPackage -PackageName "$packageName" `
                            -FileType "$installerType" `
                            -Url "$url" `
                            -SilentArgs "$silentArgs" `
                            -ValidExitCodes $validExitCodes `
                            -Checksum "$checksum" `
                            -ChecksumType "$checksumType"
}